{% load mediaviews %}
{% load timeutil %}
{% load scientific %}
{% load rrt_info %}
{% load pastro_text %}

{% url 'api:default:superevents:superevent-file-list' superevent.superevent_id as superevent_files_url %}

<br>
<br>

    <table class="table-hover table-condensed table-resp-gracedb shadow p-3 mb-5 rounded">
      <!-- Table Header -->
      <thead>
      <tr>
        <th colspan="2"><h3>Rapid Response Information</h3></th>
      </tr>
      </thead>

      <!-- Begin Table Data -->
      <tbody>
      <tr>
        <td> Superevent ID </td>
        <td> {{ superevent.default_superevent_id }} </td>
      </tr>

      <tr>
        <td> Labels </td>
        <td>
        {% for labelling in superevent.labelling_set.all %}
                    <span style="color: {{labelling.label.defaultColor}};" class="label"
                       data-toggle="tooltip"
                       data-placement="top"
                       data-html="true"
                       title="<em>{{labelling.label.description}}</em><br>
                      <b>Added by:</b> {{labelling.creator.get_full_name}}<br>
                      <b>Added:</b> {{labelling.created}}">
               {{ labelling.label.name }}</span>
       {% endfor %}
        </td>
      </tr>

      {% if superevent.is_gw %}
      <tr>
        <td> GW ID </td>
        <td> {{ superevent.gw_id }} </td>
      </tr>
      {% endif %}

      <tr>
        <td> t<sub>0</sub> </td>
        <td> {{ superevent.t_0|floatformat:2 }} </td>
      </tr>

      <tr>
        <td> {{ "submitted"|timeselect:"utc" }} </td>
        <td> {{ superevent.created|multiTime:"submitted" }} </td>
      </tr>

      <tr>
          <td> Preferred Event </td>
          <td> {{ superevent.preferred_event | event_link_filter }} </td>
      </tr>

      <tr>
        <td> CBC events and Burst BBH</td>
        <td>
	  {{ internal_events | rrt_event_filter:"CBC" }}
        </td>
      </tr>

      <tr>
        <td>Burst (Unmodeled)</td>
        <td>
	  {{ internal_events | rrt_event_filter:"Burst" }}
        </td>
      </tr>

      <tr>
        <td> Early Warning </td>
        <td>
	  {{ internal_events | rrt_event_filter:"EarlyWarning" }}
        </td>
      </tr>

      <tr>
        <td> External events </td>
        <td>
            <div>
            {% if external_events %}
            {% for graceid in external_events %}
            <a href="{% url "view" graceid %}">{{ graceid }}</a>
            {% endfor %}
            {% else %}
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            {% endif %}
            </div>

        </td>
      </tr>

      <tr>
        <td>Instruments</td>
        <td>
	  {{ preferred_event.instruments }}
        </td>
      </tr>

      <tr>
        <td> GCN </td>
        <td>
	        <a href="https://gcn.gsfc.nasa.gov/notices_l/{{superevent.default_superevent_id }}.lvc" target="_blank">[Notice]</a>
          <a href='https://gcn.nasa.gov/circulars?query={{superevent.default_superevent_id}}' target="_blank">[Circular Query]</a>
        </td>
      </tr>

      <tr>
        <td> Circular Text Template </td>
        <td> {{ superevent | get_template_from_label }} </td>
      </tr>


      <tr>
        <td>DQR</td>
        <td>
          {{ superevent | get_dqr_status }}
        </td>
      </tr>

      <tr>
        <td>State Vector Summary</td>
        <td>
	  {{ log_list | latest_state_log }}
        </td>
      </tr>

      <tr>
          <td> <span style="font-family: monospace">p_astro</span></td>
        <td>
            {{ preferred_event.graceid | json_text:"p_astro,showprob" }}
        </td>
      </tr>

      <tr>
        <td> EM-Bright</td>
        <td>
	  <object data="{{ superevent_files_url|add:'em_bright.png' }}" 
          type="image/png" style="max-width:100%;">
	    N/A
	  </object>
        </td>
      </tr> 
      
      <tr>
        <td> Sky-Localization</td>
        <td>
	  <object data="{{ superevent_files_url|add:'bayestar.png' }}"
          type="image/png" style="max-width:100%;">
	    N/A
	  </object>
        </td>
      </tr>


    </table>
